Bug 171656 - Throw an exception if window.open() gets passed a URL that cannot be parsed
Summary: Throw an exception if window.open() gets passed a URL that cannot be parsed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-05-04 06:58 PDT by Anne van Kesteren
Modified: 2018-08-20 16:53 PDT (History)
10 users (show)

See Also:


Attachments
Patch (47.34 KB, patch)
2018-08-19 12:59 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews201 for win-future (12.84 MB, application/zip)
2018-08-19 18:32 PDT, Build Bot
no flags Details
Patch (47.33 KB, patch)
2018-08-20 03:04 PDT, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anne van Kesteren 2017-05-04 06:58:27 PDT
See https://github.com/whatwg/html/issues/2490 for discussion. https://github.com/whatwg/html/issues/2626 for the specification change. And https://github.com/w3c/web-platform-tests/issues/5776 for tests (url/failure.html).
Comment 1 Chris Dumez 2017-05-05 07:20:20 PDT
Gecko and Edge already throw.
Comment 2 Rob Buis 2018-08-19 12:59:38 PDT
Created attachment 347463 [details]
Patch
Comment 3 Build Bot 2018-08-19 13:02:31 PDT
Attachment 347463 [details] did not pass style-queue:


ERROR: Source/WebCore/page/DOMWindow.cpp:2238:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 1 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Darin Adler 2018-08-19 16:28:10 PDT
Comment on attachment 347463 [details]
Patch

Looks fine. Idiom for returning nullptr in such cases is pretty ugly.

For website programmers who did this by accident, it seems the exception is not as clear as the wording of the console message was.
Comment 5 Build Bot 2018-08-19 18:32:38 PDT
Comment on attachment 347463 [details]
Patch

Attachment 347463 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8912468

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-video.html
Comment 6 Build Bot 2018-08-19 18:32:51 PDT
Created attachment 347477 [details]
Archive of layout-test-results from ews201 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews201  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 7 Rob Buis 2018-08-20 03:04:37 PDT
Created attachment 347490 [details]
Patch
Comment 8 WebKit Commit Bot 2018-08-20 04:47:45 PDT
Comment on attachment 347490 [details]
Patch

Clearing flags on attachment: 347490

Committed r235050: <https://trac.webkit.org/changeset/235050>
Comment 9 WebKit Commit Bot 2018-08-20 04:47:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2018-08-20 16:53:56 PDT
<rdar://problem/43534520>